read.cdf.header {affxparser} | R Documentation

## Reads the header associated with an Affymetrix CDF file

### Description

Reads the header of an Affymetrix CDF file using the Fusion SDK.

### Usage

    read.cdf.header(fname)

### Arguments

`fname` | name of the CDF file.

### Details

### Value

A named list with the following components

`rows` | the number of rows on the chip.
`cols` | the number of columns on the chip.
`probesets` | the number of probesets on the chip.
`qcprobesets` | the number of QC probesets on the chip.
`reference` | the reference sequence (this component only exists for resequencing chips).
`chiptype` | the type of the chip.
`filename` | the name of the cdf file.

### Note

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### References

### See Also

`affxparserInfo` for general information about the package and `read.cdf.complete` for information about CDF files.

### Examples

    ## Not run:
    read.cdf.header(fname = "~/test.CDF")
    ## End(Not run)

[Package affxparser version 1.2.0 Index]